## indi-inovaplx 1.4

=== debian/changelog ===
indi-inovaplx (1.4-2) unstable; urgency=medium

  * debian/control: move to debian-astro team
  * debian/control: bump standard to 4.6.1 (no changes)
  * debian/control: restrict architectures to  amd64 arm64 i386 
                    libinovasdk can be build only on these

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 May 2022 10:46:20 +0200

indi-inovaplx (1.4-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 18 Dec 2021 12:46:20 +0000

## indi-inovaplx 1.4+20221221105828

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_inovaplx CXX C)

set (INOVAPLX_VERSION_MAJOR 1)
set (INOVAPLX_VERSION_MINOR 4)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(INOVASDK REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_inovaplx_ccd.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_inovaplx_ccd.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${INOVASDK_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

############# INOVAPLX CCD ###############
set(inovaplxccd_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/inovaplx_ccd.cpp
)

add_executable(indi_inovaplx_ccd ${inovaplxccd_SRCS})

target_link_libraries(indi_inovaplx_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${INOVASDK_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_inovaplx_ccd RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_inovaplx_ccd.xml DESTINATION ${INDI_DATA_DIR})

## indi-inovaplx 1.4%2B20221221105828

=== debian/control ===
Source: indi-inovaplx
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libinovasdk-dev
	, libcfitsio-dev
Standards-Version: 4.6.1
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-inovaplx
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-inovaplx.git

Package: indi-inovaplx
Architecture: amd64 arm64 i386 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for iNova PLX Cameras
 This package contains an INDI driver for iNova PLX Cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-inovaplx 1.4+20221221105828

=== debian/changelog ===
indi-inovaplx (1.4+20221221105828-2) unstable; urgency=medium

  * depends on non-free, so manually build for all architectures
    (due to new libinovasdk-dev)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Sep 2024 17:42:00 +0200

indi-inovaplx (1.4+20221221105828-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.4

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 10:59:42 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	, zlib1g-dev
 	, libinovasdk-dev
 	, libcfitsio-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
@@ -18,7 +18,7 @@
 Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-inovaplx.git
 
 Package: indi-inovaplx
-Architecture: amd64 arm64 i386 
+Architecture: amd64 arm64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: INDI driver for iNova PLX Cameras
  This package contains an INDI driver for iNova PLX Cameras.
